AOZ Studio Beta - Bug #668

If there is a conflict between a Variable name and a Procedure name, an incorrect error message
(Syntax error) is displayed.

02/18/2021 12:40 PM - Brian Flanagan

Status: Closed Start date: 02/18/2021
Priority: Low Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour

Target version:

Affected version: 1.0.0 (B5)

Description
Example:

Global HIT ' Make integer variable global (Can't use Global on Procedure, so NEVER a conflict.)
HIT=3 ' Set integer variable (Can't set a Procedure with =, so NEVER a conflict.)

HIT ' Call the procedure. (Name is by itself, so this is a Procedure call. NEVER
a conflict.)

Print HIT ' Print variable's contents. (There is no way to distinguish between the Variable and
the procedure call. CONFLICT!)

Procedure HIT
Print "hit"
End Proc[l] ' return result of 1.

The above code produces a "Syntax Error" in line 1 (or in line 2 if line 1 is commented).

This is incorrect and misleading.
Instead, the error message should be: "Conflict between variable and procedure name HIT in line 4."

History

#1 - 03/22/2021 06:12 AM - Brian Flanagan
- Affected version changed from 1.0.0 (B3) to 1.0.0 (B5)

Re-tested in 1.0.0 (B5).
Still a problem.

#2 - 03/31/2021 05:08 PM - Francois Lionet
- Status changed from New to Resolved

- Assignee set to Francois Lionet

Fixed

#3 - 07/15/2021 10:45 AM - Brian Flanagan

Verified working. Thanks Francois! :-)

#4 - 07/15/2021 10:45 AM - Brian Flanagan

- Status changed from Resolved to Closed
